POST
/api/v2/crypto-virtual-accountsPOST /api/v2/crypto-virtual-accounts
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| UserId | unknown | No | |
| Name | string | Yes | |
| Providers | array of boomfi | Yes | Allowed value: the crypto on/off-ramp. Possible values: the crypto on/off-ramp. |
| Chains | array of CryptoVirtualAccountChainRequest | Yes |
Responses
201 — Created
| Field | Type | Required | Description |
|---|---|---|---|
| Success | boolean | No | |
| Message | string | No | |
| Results | array of CryptoVirtualAccountProviderResult | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X POST "https://{base_url}/api/v2/crypto-virtual-accounts" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Name":"…","Providers":"…","Chains":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.